com.unitech.lib.types

## Enum ScannerDataFormat

- java.lang.Object
- - java.lang.Enum<ScannerDataFormat>
  - - com.unitech.lib.types.ScannerDataFormat

- All Implemented Interfaces:
    Serializable, Comparable<ScannerDataFormat>

      public enum ScannerDataFormat
      extends Enum<ScannerDataFormat>

  The ScannerDataFormat enum represents the different data formats that a scanner can use. Each format has a unique code and a descriptive message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `barcodeData`
    `barcodeId`
    `timestamp`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScannerDataFormat` | `fromValue(int value)`
    `int` | `getCode()`
    `String` | `toString()`
    `static ScannerDataFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ScannerDataFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### barcodeData

          public static final ScannerDataFormat barcodeData

    - #### barcodeId

          public static final ScannerDataFormat barcodeId

    - #### timestamp

          public static final ScannerDataFormat timestamp

  - ### Method Detail

    - #### values

          public static ScannerDataFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScannerDataFormat c : ScannerDataFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScannerDataFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ScannerDataFormat>`

    - #### fromValue

          public static ScannerDataFormat fromValue(int value)
                                             throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`